package qh.lqg.utils;

import java.util.ArrayList;
import java.util.Arrays;

/**
 * ClassName: Strings2List <br/>
 * Function: String[]和List转换工具类. <br/>
 * date: 2016年8月7日 下午2:35:45 <br/>
 *
 * @author liuyuqi
 * @version
 * @since JDK 1.7
 */
public class Strings2List {
	/**
	 * ListToStrings:(List 转换为 String数组). <br/>
	 *
	 * @author liuyuqi
	 * @param list
	 * @return
	 * @since JDK 1.7
	 */
	public static String[] listToStrings(ArrayList<String> list) {
		return list.toArray(new String[list.size()]);
	}

	/**
	 * StringsToList:(String[]转list). <br/>
	 *
	 * @author liuyuqi
	 * @param arr
	 * @return
	 * @since JDK 1.7
	 */
	public static ArrayList<String> stringsToList(String[] arr) {
		return (ArrayList<String>) Arrays.asList(arr);
	}
}
